# DataExchange
TKIGES
BRepToIGES

# BRepToIGES_BRShell Class Reference

This class implements the transfer of Shape Entities from Geom
To IGES. These can be :
. Vertex
. Edge
. Wire
.

`#include <BRepToIGES_BRShell.hxx>`

Inheritance diagram for BRepToIGES_BRShell:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | BRepToIGES_BRShell ()
Standard_EXPORT | BRepToIGES_BRShell (const BRepToIGES_BREntity &BR)
Standard_EXPORT Handle_IGESData_IGESEntity | TransferShell (const TopoDS_Shape &start)
| Transfert an Shape entity from TopoDS to IGES This entity must be a Face or a Shell. If this Entity could not be converted, this member returns a NullEntity. .
Standard_EXPORT Handle_IGESData_IGESEntity | TransferShell (const TopoDS_Shell &start)
| Transfert an Shell entity from TopoDS to IGES If this Entity could not be converted, this member returns a NullEntity. .
Standard_EXPORT Handle_IGESData_IGESEntity | TransferFace (const TopoDS_Face &start)
| Transfert a Face entity from TopoDS to IGES If this Entity could not be converted, this member returns a NullEntity. .

## Constructor & Destructor Documentation

Standard_EXPORT BRepToIGES_BRShell::BRepToIGES_BRShell | ( |  | ) |

Standard_EXPORT BRepToIGES_BRShell::BRepToIGES_BRShell | ( | const BRepToIGES_BREntity & | BR | ) |

## Member Function Documentation

void BRepToIGES_BRShell::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from BRepToIGES_BREntity.

void* BRepToIGES_BRShell::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from BRepToIGES_BREntity.

void* BRepToIGES_BRShell::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from BRepToIGES_BREntity.

Standard_EXPORT Handle_IGESData_IGESEntity BRepToIGES_BRShell::TransferFace | ( | const TopoDS_Face & | start | ) |

Standard_EXPORT Handle_IGESData_IGESEntity BRepToIGES_BRShell::TransferShell | ( | const TopoDS_Shell & | start | ) |

Standard_EXPORT Handle_IGESData_IGESEntity BRepToIGES_BRShell::TransferShell | ( | const TopoDS_Shape & | start | ) |

The documentation for this class was generated from the following file:

- BRepToIGES_BRShell.hxx